# EBT

## Overview

This page contains all API documentation for Electronic Benefit Transfer (EBT) transactions. For more information regarding account access, navigate to the [Transaction API](/api/transaction.md) parent page.

{% hint style="info" %}
The transactions below are not valid for EBT Online. To reference EBT Online, navigate to this [page](https://docs.solapayments.com/products/ebt-online).&#x20;
{% endhint %}

## Transactions

## EBT Food Stamp

### Sale

<mark style="color:green;">`POST`</mark> `ebtfs:sale`

`xCommand` = `ebtfs:sale`<br>

The Sale command is used to make a purchase on an EBT cardholder’s food stamp account.

#### Request Body

| Name                                               | Type   | Description                                                                                                                                                                                                                                        |
| -------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| xCardNum<mark style="color:red;">\*</mark>         | String | The customer card number. \*Alternatively, `xToken` `xMagStripe` or `SUT` can be used.                                                                                                                                                             |
| xKey<mark style="color:red;">\*</mark>             | String | Your Sola API key.                                                                                                                                                                                                                                 |
| xVersion<mark style="color:red;">\*</mark>         | String | Gateway API version. The current version is 5.0.0.                                                                                                                                                                                                 |
| xSoftwareName<mark style="color:red;">\*</mark>    | String | Name of your software                                                                                                                                                                                                                              |
| xSoftwareVersion<mark style="color:red;">\*</mark> | String | Version number of your software                                                                                                                                                                                                                    |
| xCommand<mark style="color:red;">\*</mark>         | String | Sola transaction type                                                                                                                                                                                                                              |
| xAmount<mark style="color:red;">\*</mark>          | String | The total amount of the transaction, inclusive of tax and tip if applicable.                                                                                                                                                                       |
| xDUKPT<mark style="color:red;">\*</mark>           | String | The DUK/PT key for PIN debit and EBT transactions.The first 16 characters are the encrypted PIN block, followed by the 6 character long Key Set Identifier (KSID). The remaining characters are the PIN pad serial number and transaction counter. |
| xToken                                             | String | The Sola token that references a previously used payment method. When using a token, `xCardNum` `xExp` and `xMagstripe` should not be used.                                                                                                        |
| xCustom01                                          | String | 20 custom fields are available for custom data, such as customer comments, etc. Use `xCustom01` through `xCustom20.`                                                                                                                               |
| xMagstripe                                         | String | The magstripe data of a credit card. Magstripe data includes the card number and expiration date. When using this command, `xCardNum` `xExp` and `xToken` should not be used. Encrypted card data can also be sent using `xMagstripe`              |
| xName                                              | String | The cardholder’s name                                                                                                                                                                                                                              |
| xTax                                               | String | The tax portion that is included in the total transaction amount (xAmount)                                                                                                                                                                         |
| xTip                                               | String | The tip portion that is included in the total transaction amount (xAmount)                                                                                                                                                                         |
| xInvoice                                           | String | The merchant’s invoice number for the transaction. `xInvoice` is recommended when available for improved duplicate handling                                                                                                                        |
| xPONum                                             | String | The merchant’s purchase order number for the transaction                                                                                                                                                                                           |
| xComments                                          | String | Additional data optionally passed along to the receipt                                                                                                                                                                                             |
| xDescription                                       | String | Additional data optionally passed along for reporting                                                                                                                                                                                              |
| xIP                                                | String | The customer’s IP address. Typically used for fraud detection                                                                                                                                                                                      |
| xEmail                                             | String | The customer’s email address                                                                                                                                                                                                                       |
| xFax                                               | String | The customer’s fax number                                                                                                                                                                                                                          |
| xBillFirstName                                     | String | The customer’s first name for their billing profile                                                                                                                                                                                                |
| xBillMiddleName                                    | String | The customer’s middle name or initial for their billing profile                                                                                                                                                                                    |
| xBillLastName                                      | String | The customer’s last/family name for their billing profile                                                                                                                                                                                          |
| xBillCompany                                       | String | The customer’s company name for their billing profile                                                                                                                                                                                              |
| xBillStreet                                        | String | The customer’s street address for their billing profile                                                                                                                                                                                            |
| xBillStreet2                                       | String | The customer’s street address 2nd line for their billing profile                                                                                                                                                                                   |
| xBillCity                                          | String | The customer’s city for their billing profile                                                                                                                                                                                                      |
| xBillState                                         | String | The customer’s state for their billing profile                                                                                                                                                                                                     |
| xBillZip                                           | String | The customer’s zip code for their billing profile                                                                                                                                                                                                  |
| xBillCountry                                       | String | The customer’s country for their billing profile                                                                                                                                                                                                   |
| xBillPhone                                         | String | The customer’s phone number for their billing profile                                                                                                                                                                                              |
| xBillMobile                                        | String | The customer’s mobile number for their billing profile                                                                                                                                                                                             |
| xShipFirstName                                     | String | The customer’s first name for their shipping profile                                                                                                                                                                                               |
| xShipMiddleName                                    | String | The customer’s middle name or initial for their shipping profile                                                                                                                                                                                   |
| xShipLastName                                      | String | The customer’s last/family name for their shipping profile                                                                                                                                                                                         |
| xShipCompany                                       | String | The customer’s company name for their shipping profile                                                                                                                                                                                             |
| xShipStreet                                        | String | The customer’s street address for their shipping profile                                                                                                                                                                                           |
| xShipStreet2                                       | String | The customer’s street address 2nd line for their shipping profile                                                                                                                                                                                  |
| xShipCity                                          | String | The customer’s city for their shipping profile                                                                                                                                                                                                     |
| xShipState                                         | String | The customer’s state for their shipping profile                                                                                                                                                                                                    |
| xShipZip                                           | String | The customer’s zip code for their shipping profile                                                                                                                                                                                                 |
| xShipCountry                                       | String | The customer’s country for their shipping profile                                                                                                                                                                                                  |
| xShipPhone                                         | String | The customer’s phone number for their shipping profile                                                                                                                                                                                             |
| xShipMobile                                        | String | The customer’s mobile number for their shipping profile                                                                                                                                                                                            |
| xAllowDuplicate                                    | String | By default, Sola rejects duplicate transactions within 10 minutes of the original transaction. This command overrides that safeguard. True/False allowed.                                                                                          |
| xCustReceipt                                       | String | True/False value indicating if the email address specified in `xemail` should receive a receipt containing the transaction details                                                                                                                 |
| xOrderID                                           | String | Unique order number for FraudWatch verification                                                                                                                                                                                                    |
| xExistingCustomer                                  | String | Yes/No value indicating if the customer is a repeat customer                                                                                                                                                                                       |

```json
{
    "xCardNum": "4444333322221111",
    "xKey": "[xkeycredentials]",
    "xVersion": "4.5.9",
    "xSoftwareName": "YourSoftwareName",
    "xSoftwareVersion": "1.0.0",
    "xCommand": "ebtfs:sale",
    "xAmount": "35.00",
    "xToken": "61h72mmh68phn9q233634ph3g54p1499m69qhp4816pn528h84",
    "xCustom01": "Register01",
    "xDUKPT": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;444433",
    "xMagstripe": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;4444333322221111=4912101123456789?",
    "xName": "John Doe",
    "xTax": "2.00",
    "xTip": "2.00",
    "xInvoice": "123456A",
    "xPONum": "123456B",
    "xComments": "This is a comment",
    "xDescription": "This is a description",
    "xIP": "1.2.3.4",
    "xEmail": "text@example.com",
    "xFax": "1234567890",
    "xBillFirstName": "John",
    "xBillMiddleName": "Max",
    "xBillLastName": "Doe",
    "xBillCompany": "Acme", 
    "xBillStreet": "123 Any Street", 
    "xBillStreet2": "Apt 4b", 
    "xBillCity": "Anytown", 
    "xBillState": "NY", 
    "xBillZip": "12345", 
    "xBillCountry": "USA", 
    "xBillPhone": "8005551212", 
    "xBillMobile": "8005551111", 
    "xShipFirstName": "John", 
    "xShipMiddleName": "Max", 
    "xShipLastName": "Doe", 
    "xShipCompany": "Acme", 
    "xShipStreet": "123 Any Street", 
    "xShipStreet2": "Apt 4b", 
    "xShipCity": "Anytown", 
    "xShipState": "NY", 
    "xShipZip": "11111", 
    "xShipCountry": "USA", 
    "xShipPhone": "8005551212", 
    "xShipMobile": "8005551111", 
    "xOrderID": "12356",
    "xExistingCustomer": "TRUE",
    "xAllowDuplicate": "TRUE", 
    "xCustReceipt": "TRUE"
}
```

### Credit

<mark style="color:green;">`POST`</mark> `ebtfs:credit`

`xCommand` = `ebtfs:credit`\
\
The Credit command is used to credit an EBT cardholder’s food stamp account.

#### Request Body

| Name                                               | Type   | Description                                                                                                                                                                                                                                        |
| -------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| xCardNum<mark style="color:red;">\*</mark>         | String | The customer card number. \*Alternatively, `xToken` `xMagStripe` or `SUT` can be used.                                                                                                                                                             |
| xKey<mark style="color:red;">\*</mark>             | String | Your Sola API key.                                                                                                                                                                                                                                 |
| xVersion<mark style="color:red;">\*</mark>         | String | Gateway API version. The current version is 5.0.0.                                                                                                                                                                                                 |
| xSoftwareName<mark style="color:red;">\*</mark>    | String | Name of your software                                                                                                                                                                                                                              |
| xSoftwareVersion<mark style="color:red;">\*</mark> | String | Version number of your software                                                                                                                                                                                                                    |
| xCommand<mark style="color:red;">\*</mark>         | String | Sola transaction type                                                                                                                                                                                                                              |
| xAmount<mark style="color:red;">\*</mark>          | String | The total amount of the transaction, inclusive of tax and tip if applicable. This the total amount of the transaction.                                                                                                                             |
| xDUKPT<mark style="color:red;">\*</mark>           | String | The DUK/PT key for PIN debit and EBT transactions.The first 16 characters are the encrypted PIN block, followed by the 6 character long Key Set Identifier (KSID). The remaining characters are the PIN pad serial number and transaction counter. |
| xToken                                             | String | The Sola token that references a previously used payment method. When using a token, `xCardNum` `xExp` and `xMagstripe` should not be used.                                                                                                        |
| xCustom01                                          | String | 20 custom fields are available for custom data, such as customer comments, etc. Use `xCustom01` through `xCustom20.`                                                                                                                               |
| xMagstripe                                         | String | The magstripe data of a credit card. Magstripe data includes the card number and expiration date. When using this command, `xCardNum` `xExp` and `xToken` should not be used. Encrypted Card data can also be sent using `xMagstripe.`             |
| xName                                              | String | The cardholder’s name                                                                                                                                                                                                                              |
| xTax                                               | String | The tax portion that is included in the total transaction amount (xAmount)                                                                                                                                                                         |
| xTip                                               | String | The tip portion that is included in the total transaction amount (xAmount)                                                                                                                                                                         |
| xInvoice                                           | String | The merchant’s invoice number for the transaction. `xInvoice` is recommended when available for improved duplicate handling.                                                                                                                       |
| xPONum                                             | String | The merchant’s purchase order number for the transaction                                                                                                                                                                                           |
| xComments                                          | String | Additional data optionally passed along to the receipt                                                                                                                                                                                             |
| xDescription                                       | String | Additional data optionally passed along for reporting                                                                                                                                                                                              |
| xIP                                                | String | The customer’s IP address. Typically used for fraud detection                                                                                                                                                                                      |
| xEmail                                             | String | The customer’s email address                                                                                                                                                                                                                       |
| xFax                                               | String | The customer’s fax number                                                                                                                                                                                                                          |
| xBillFirstName                                     | String | The customer’s first name for their billing profile                                                                                                                                                                                                |
| xBillMiddleName                                    | String | The customer’s middle name or initial for their billing profile                                                                                                                                                                                    |
| xBillLastName                                      | String | The customer’s last/family name for their billing profile                                                                                                                                                                                          |
| xBillCompany                                       | String | The customer’s company name for their billing profile                                                                                                                                                                                              |
| xBillStreet                                        | String | The customer’s street address for their billing profile                                                                                                                                                                                            |
| xBillStreet2                                       | String | The customer’s street address 2nd line for their billing profile                                                                                                                                                                                   |
| xBillCity                                          | String | The customer’s city for their billing profile                                                                                                                                                                                                      |
| xBillState                                         | String | The customer’s state for their billing profile                                                                                                                                                                                                     |
| xBillZip                                           | String | The customer’s zip code for their billing profile                                                                                                                                                                                                  |
| xBillCountry                                       | String | The customer’s country for their billing profile                                                                                                                                                                                                   |
| xBillPhone                                         | String | The customer’s phone number for their billing profile                                                                                                                                                                                              |
| xBillMobile                                        | String | The customer’s mobile number for their billing profile                                                                                                                                                                                             |
| xShipFirstName                                     | String | The customer’s first name for their shipping profile                                                                                                                                                                                               |
| xShipMiddleName                                    | String | The customer’s middle name or initial for their shipping profile                                                                                                                                                                                   |
| xShipLastName                                      | String | The customer’s last/family name for their shipping profile                                                                                                                                                                                         |
| xShipCompany                                       | String | The customer’s company name for their shipping profile                                                                                                                                                                                             |
| xShipStreet                                        | String | The customer’s street address for their shipping profile                                                                                                                                                                                           |
| xShipStreet2                                       | String | The customer’s street address 2nd line for their shipping profile                                                                                                                                                                                  |
| xShipCity                                          | String | The customer’s city for their shipping profile                                                                                                                                                                                                     |
| xShipState                                         | String | The customer’s state for their shipping profile                                                                                                                                                                                                    |
| xShipZip                                           | String | The customer’s zip code for their shipping profile                                                                                                                                                                                                 |
| xShipCountry                                       | String | The customer’s country for their shipping profile                                                                                                                                                                                                  |
| xShipPhone                                         | String | The customer’s phone number for their shipping profile                                                                                                                                                                                             |
| xShipMobile                                        | String | The customer’s mobile number for their shipping profile                                                                                                                                                                                            |
| xAllowDuplicate                                    | String | By default, Sola rejects duplicate transactions within 10 minutes of the original transaction. This command overrides that safeguard. True/False allowed.                                                                                          |
| xOrderID                                           | String | Unique order number for FraudWatch verification                                                                                                                                                                                                    |
| xExistingCustomer                                  | String | Yes/No value indicating if the customer is a repeat customer                                                                                                                                                                                       |

{% code title="Credit - Request Payload Example" %}

```json
{
    "xCardNum": "4444333322221111",
    "xKey": "[xkeycredentials]",
    "xVersion": "4.5.9",
    "xSoftwareName": "YourSoftwareName",
    "xSoftwareVersion": "1.0.0",
    "xCommand": "ebtfs:credit",
    "xAmount": "35.00",
    "xToken": "61h72mmh68phn9q233634ph3g54p1499m69qhp4816pn528h84",
    "xCustom01": "Register01",
    "xDUKPT": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;444433",
    "xMagstripe": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;4444333322221111=4912101123456789?",
    "xName": "John Doe",
    "xTax": "2.00",
    "xTip": "2.00",
    "xInvoice": "123456A",
    "xPONum": "123456B",
    "xComments": "This is a comment",
    "xDescription": "This is a description",
    "xIP": "1.2.3.4",
    "xEmail": "text@example.com",
    "xFax": "1234567890",
    "xBillFirstName": "John",
    "xBillMiddleName": "Max",
    "xBillLastName": "Doe",
    "xBillCompany": "Acme", 
    "xBillStreet": "123 Any Street", 
    "xBillStreet2": "Apt 4b", 
    "xBillCity": "Anytown", 
    "xBillState": "NY", 
    "xBillZip": "12345", 
    "xBillCountry": "USA", 
    "xBillPhone": "8005551212", 
    "xBillMobile": "8005551111", 
    "xShipFirstName": "John", 
    "xShipMiddleName": "Max", 
    "xShipLastName": "Doe", 
    "xShipCompany": "Acme", 
    "xShipStreet": "123 Any Street", 
    "xShipStreet2": "Apt 4b", 
    "xShipCity": "Anytown", 
    "xShipState": "NY", 
    "xShipZip": "11111", 
    "xShipCountry": "USA", 
    "xShipPhone": "8005551212", 
    "xShipMobile": "8005551111", 
    "xOrderID": "12356",
    "xExistingCustomer": "TRUE",
    "xAllowDuplicate": "TRUE"
}
```

{% endcode %}

### Balance

<mark style="color:green;">`POST`</mark> `ebtfs:balance`

`xCommand` = `ebtfs:Balance`

The Balance command is used to check the balance on an EBT cash benefit account.

#### Request Body

| Name                                               | Type   | Description                                                                                                                                                                                                                                        |
| -------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| xCardNum<mark style="color:red;">\*</mark>         | String | The customer card number. \*Alternatively, `xToken` `xMagStripe` or `SUT` can be used.                                                                                                                                                             |
| xKey<mark style="color:red;">\*</mark>             | String | Your Sola API key.                                                                                                                                                                                                                                 |
| xVersion<mark style="color:red;">\*</mark>         | String | Gateway API version. The current version is 5.0.0.                                                                                                                                                                                                 |
| xSoftwareName<mark style="color:red;">\*</mark>    | String | Name of your software                                                                                                                                                                                                                              |
| xSoftwareVersion<mark style="color:red;">\*</mark> | String | Version number of your software                                                                                                                                                                                                                    |
| xCommand<mark style="color:red;">\*</mark>         | String | Sola transaction type                                                                                                                                                                                                                              |
| xDUKPT<mark style="color:red;">\*</mark>           | String | The DUK/PT key for PIN debit and EBT transactions.The first 16 characters are the encrypted PIN block, followed by the 6 character long Key Set Identifier (KSID). The remaining characters are the PIN pad serial number and transaction counter. |
| xMagstripe                                         | String | The magstripe data of a credit card. Magstripe data includes the card number and expiration date. When using this command, `xCardNum` `xExp` and `xToken` should not be used. Encrypted card data can also be sent using `xMagstripe.`             |
| xIP                                                | String | The customer’s IP address. Typically used for fraud detection.                                                                                                                                                                                     |

{% code title="Balance - Request Payload Example" %}

```json
{
    "xCardNum": "4444333322221111",
    "xKey": "[xkeycredentials]",
    "xVersion": "4.5.9",
    "xSoftwareName": "YourSoftwareName",
    "xSoftwareVersion": "1.0.0",
    "xCommand": "ebtfs:balance",
    "xDUKPT": "3748276384717382:2dh2298h28dhf982f298g",
    "xMagstripe": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;4444333322221111=4912101123456789?",
    "xIP": "1.1.1.1"
}
```

{% endcode %}

### Voucher

<mark style="color:green;">`POST`</mark> `ebtfs:voucher`

`xCommand` = `ebtfs:voucher`\
\
The Voucher command is used to process a manual EBT food stamp voucher.

#### Request Body

| Name                                               | Type   | Description                                                                                                                                                                                                                                        |
| -------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| xCardNum<mark style="color:red;">\*</mark>         | String | <p></p><p>The customer card number. \*Alternatively, <code>xToken</code> <code>xMagStripe</code> or <code>SUT</code> can be used.</p>                                                                                                              |
| xKey<mark style="color:red;">\*</mark>             | String | Your Sola API key.                                                                                                                                                                                                                                 |
| xVersion<mark style="color:red;">\*</mark>         | String | Gateway API version. The current version is 5.0.0.                                                                                                                                                                                                 |
| xSoftwareName<mark style="color:red;">\*</mark>    | String | Name of your software                                                                                                                                                                                                                              |
| xSoftwareVersion<mark style="color:red;">\*</mark> | String | Version number of your software                                                                                                                                                                                                                    |
| xCommand<mark style="color:red;">\*</mark>         | String | Sola transaction type                                                                                                                                                                                                                              |
| xAmount<mark style="color:red;">\*</mark>          | String | The total amount of the transaction, inclusive of tax and tip if applicable. This the total amount of the transaction.                                                                                                                             |
| xDUKPT<mark style="color:red;">\*</mark>           | String | The DUK/PT key for PIN debit and EBT transactions.The first 16 characters are the encrypted PIN block, followed by the 6 character long Key Set Identifier (KSID). The remaining characters are the PIN Pad serial number and transaction counter. |
| xVoucherApproval<mark style="color:red;">\*</mark> | String | The EBT voucher approval code                                                                                                                                                                                                                      |
| xVoucherSerial<mark style="color:red;">\*</mark>   | String | The EBT voucher serial number                                                                                                                                                                                                                      |
| xToken                                             | String | The Sola token that references a previously used payment method. When using a token, `xCardNum` `xExp` and `xMagstripe` should not be used.                                                                                                        |
| xCustom01                                          | String | 20 custom fields are available for custom data, such as customer comments, etc. Use `xCustom01` through `xCustom20.`                                                                                                                               |
| xMagstripe                                         | String | The magstripe data of a credit card. Magstripe data includes the card number and expiration date. When using this command, `xCardNum` `xExp` and `xToken` should not be used. Encrypted Card data can also be sent using `xMagstripe.`             |
| xName                                              | String | The cardholder’s name                                                                                                                                                                                                                              |
| xTax                                               | String | The tax portion that is included in the total transaction amount (xAmount)                                                                                                                                                                         |
| xTip                                               | String | The tip portion that is included in the total transaction amount (xAmount)                                                                                                                                                                         |
| xInvoice                                           | String | The merchant’s invoice number for the transaction. `xInvoice` is recommended when available for improved duplicate handling.                                                                                                                       |
| xPONum                                             | String | The merchant’s purchase order number for the transaction                                                                                                                                                                                           |
| xComments                                          | String | Additional data that is optionally passed along to the receipt                                                                                                                                                                                     |
| xDescription                                       | String | Additional data that is optionally passed along for reporting                                                                                                                                                                                      |
| xIP                                                | String | The customer’s IP address. Typically used for fraud detection.                                                                                                                                                                                     |
| xEmail                                             | String | The customer’s email address                                                                                                                                                                                                                       |
| xFax                                               | String | The customer’s fax number                                                                                                                                                                                                                          |
| xBillFirstName                                     | String | The customer’s first name for their billing profile                                                                                                                                                                                                |
| xBillMiddleName                                    | String | The customer’s middle name or initial for their billing profile                                                                                                                                                                                    |
| xBillLastName                                      | String | The customer’s last/family name for their billing profile                                                                                                                                                                                          |
| xBillCompany                                       | String | The customer’s company name for their billing profile                                                                                                                                                                                              |
| xBillStreet                                        | String | The customer’s street address for their billing profile                                                                                                                                                                                            |
| xBillStreet2                                       | String | The customer’s street address 2nd line for their billing profile                                                                                                                                                                                   |
| xBillCity                                          | String | The customer’s city for their billing profile                                                                                                                                                                                                      |
| xBillState                                         | String | The customer’s state for their billing profile                                                                                                                                                                                                     |
| xBillZip                                           | String | The customer’s zip code for their billing profile                                                                                                                                                                                                  |
| xBillCountry                                       | String | The customer’s country for their billing profile                                                                                                                                                                                                   |
| xBillPhone                                         | String | The customer’s phone number for their billing profile                                                                                                                                                                                              |
| xBillMobile                                        | String | The customer’s mobile number for their billing profile                                                                                                                                                                                             |
| xShipFirstName                                     | String | The customer’s first name for their shipping profile                                                                                                                                                                                               |
| xShipMiddleName                                    | String | The customer’s middle name or initial for their shipping profile                                                                                                                                                                                   |
| xShipLastName                                      | String | The customer’s last/family name for their shipping profile                                                                                                                                                                                         |
| xShipCompany                                       | String | The customer’s company name for their shipping profile                                                                                                                                                                                             |
| xShipStreet                                        | String | The customer’s street address for their shipping profile                                                                                                                                                                                           |
| xShipStreet2                                       | String | The customer’s street address 2nd line for their shipping profile                                                                                                                                                                                  |
| xShipCity                                          | String | The customer’s city for their shipping profile                                                                                                                                                                                                     |
| xShipState                                         | String | The customer’s state for their shipping profile                                                                                                                                                                                                    |
| xShipZip                                           | String | The customer’s zip code for their shipping profile                                                                                                                                                                                                 |
| xShipCountry                                       | String | The customer’s country for their shipping profile                                                                                                                                                                                                  |
| xShipPhone                                         | String | The customer’s phone number for their shipping profile                                                                                                                                                                                             |
| xShipMobile                                        | String | The customer’s mobile number for their shipping profile                                                                                                                                                                                            |
| xAllowDuplicate                                    | String | By default, Sola rejects duplicate transactions within 10 minutes of the original transaction. This command overrides that safeguard. True/False allowed.                                                                                          |
| xOrderID                                           | String | Unique order number for FraudWatch verification                                                                                                                                                                                                    |
| xExistingCustomer                                  | String | Yes/No value indicating if the customer is a repeat customer                                                                                                                                                                                       |

{% code title="Voucher - Request Payload Example" %}

```json
{
    "xCardNum": "4444333322221111",
    "xKey": "[xkeycredentials]",
    "xVersion": "4.5.9",
    "xSoftwareName": "YourSoftwareName",
    "xSoftwareVersion": "1.0.0",
    "xCommand": "ebtfs:voucher",
    "xAmount": "35.00",
    "xToken": "61h72mmh68phn9q233634ph3g54p1499m69qhp4816pn528h84",
    "xCustom01": "Register01",
    "xDUKPT": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;444433",
    "xVoucherApproval": "123df1248f",
    "xVoucherSerial": "123",
    "xMagstripe": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;4444333322221111=4912101123456789?",
    "xName": "John Doe",
    "xTax": "2.00",
    "xTip": "2.00",
    "xInvoice": "123456A",
    "xPONum": "123456B",
    "xComments": "This is a comment",
    "xDescription": "This is a description",
    "xIP": "1.2.3.4",
    "xEmail": "text@example.com",
    "xFax": "1234567890",
    "xBillFirstName": "John",
    "xBillMiddleName": "Max",
    "xBillLastName": "Doe",
    "xBillCompany": "Acme", 
    "xBillStreet": "123 Any Street", 
    "xBillStreet2": "Apt 4b", 
    "xBillCity": "Anytown", 
    "xBillState": "NY", 
    "xBillZip": "12345", 
    "xBillCountry": "USA", 
    "xBillPhone": "8005551212", 
    "xBillMobile": "8005551111", 
    "xShipFirstName": "John", 
    "xShipMiddleName": "Max", 
    "xShipLastName": "Doe", 
    "xShipCompany": "Acme", 
    "xShipStreet": "123 Any Street", 
    "xShipStreet2": "Apt 4b", 
    "xShipCity": "Anytown", 
    "xShipState": "NY", 
    "xShipZip": "11111", 
    "xShipCountry": "USA", 
    "xShipPhone": "8005551212", 
    "xShipMobile": "8005551111", 
    "xOrderID": "12356",
    "xExistingCustomer": "TRUE",
    "xAllowDuplicate": "TRUE"
}
```

{% endcode %}

## EBT Cash Benefits

### Sale

<mark style="color:green;">`POST`</mark> `ebtcb:sale`

`xCommand` = `ebtcb:sale`\
\
The Sale command is used to make a purchase on an EBT cardholder’s cash benefit account.

#### Request Body

| Name                                               | Type   | Description                                                                                                                                                                                                                                        |
| -------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| xCardNum<mark style="color:red;">\*</mark>         | String | The customer card number. \*Alternatively, `xToken` `xMagStripe` or `SUT` can be used.                                                                                                                                                             |
| xKey<mark style="color:red;">\*</mark>             | String | Your Sola API key.                                                                                                                                                                                                                                 |
| xVersion<mark style="color:red;">\*</mark>         | String | Gateway API version. The current version is 5.0.0.                                                                                                                                                                                                 |
| xSoftwareName<mark style="color:red;">\*</mark>    | String | Name of your software                                                                                                                                                                                                                              |
| xSoftwareVersion<mark style="color:red;">\*</mark> | String | Version number of your software                                                                                                                                                                                                                    |
| xCommand<mark style="color:red;">\*</mark>         | String | Sola transaction type                                                                                                                                                                                                                              |
| xAmount<mark style="color:red;">\*</mark>          | String | The total amount of the transaction, inclusive of tax and tip if applicable. This the total amount of the transaction.                                                                                                                             |
| xDUKPT<mark style="color:red;">\*</mark>           | String | The DUK/PT key for PIN debit and EBT transactions.The first 16 characters are the encrypted PIN block, followed by the 6 character long Key Set Identifier (KSID). The remaining characters are the PIN pad serial number and transaction counter. |
| xToken                                             | String | The Sola token that references a previously used payment method. When using a token, `xCardNum` `xExp` and `xMagstripe` should not be used.                                                                                                        |
| xCustom01                                          | String | 20 custom fields are available for custom data, such as customer comments, etc. Use `xCustom01` through `xCustom20.`                                                                                                                               |
| xMagstripe                                         | String | The magstripe data of a credit card. Magstripe data includes the card number and expiration date. When using this command, `xCardNum` `xExp` and `xToken` should not be used. Encrypted Card data can also be sent using `xMagstripe.`             |
| xName                                              | String | The cardholder’s name                                                                                                                                                                                                                              |
| xTax                                               | String | The tax portion that is included in the total transaction amount (xAmount).                                                                                                                                                                        |
| xTip                                               | String | The tip portion that is included in the total transaction amount (xAmount)                                                                                                                                                                         |
| xInvoice                                           | String | The merchant’s invoice number for the transaction. `xInvoice` is recommended when available for improved duplicate handling                                                                                                                        |
| xPONum                                             | String | The merchant’s purchase order number for the transaction                                                                                                                                                                                           |
| xComments                                          | String | Additional data that is optionally passed along to the receipt                                                                                                                                                                                     |
| xDescription                                       | String | Additional data that is optionally passed along for reporting                                                                                                                                                                                      |
| xIP                                                | String | The customer’s IP address. Typically used for fraud detection.                                                                                                                                                                                     |
| xEmail                                             | String | The customer’s email address                                                                                                                                                                                                                       |
| xFax                                               | String | The customer’s fax number                                                                                                                                                                                                                          |
| xBillFirstName                                     | String | The customer’s first name for their billing profile                                                                                                                                                                                                |
| xBillMiddleName                                    | String | The customer’s middle name or initial for their billing profile                                                                                                                                                                                    |
| xBillLastName                                      | String | The customer’s last/family name for their billing profile                                                                                                                                                                                          |
| xBillCompany                                       | String | The customer’s company name for their billing profile                                                                                                                                                                                              |
| xBillStreet                                        | String | The customer’s street address for their billing profile                                                                                                                                                                                            |
| xBillStreet2                                       | String | The customer’s street address 2nd line for their billing profile                                                                                                                                                                                   |
| xBillCity                                          | String | The customer’s city for their billing profile                                                                                                                                                                                                      |
| xBillState                                         | String | The customer’s state for their billing profile                                                                                                                                                                                                     |
| xBillZip                                           | String | The customer’s zip code for their billing profile                                                                                                                                                                                                  |
| xBillCountry                                       | String | The customer’s Country for their billing profile                                                                                                                                                                                                   |
| xBillPhone                                         | String | The customer’s phone number for their billing profile                                                                                                                                                                                              |
| xBillMobile                                        | String | The customer’s mobile number for their billing profile                                                                                                                                                                                             |
| xShipFirstName                                     | String | The customer’s first name for their shipping profile                                                                                                                                                                                               |
| xShipMiddleName                                    | String | The customer’s middle name or initial for their shipping profile                                                                                                                                                                                   |
| xShipLastName                                      | String | The customer’s last/family name for their shipping profile                                                                                                                                                                                         |
| xShipCompany                                       | String | The customer’s company name for their shipping profile                                                                                                                                                                                             |
| xShipStreet                                        | String | The customer’s street address for their shipping profile                                                                                                                                                                                           |
| xShipStreet2                                       | String | The customer’s street address 2nd line for their shipping profile                                                                                                                                                                                  |
| xShipCity                                          | String | The customer’s city for their shipping profile                                                                                                                                                                                                     |
| xShipState                                         | String | The customer’s state for their shipping profile                                                                                                                                                                                                    |
| xShipZip                                           | String | The customer’s zip code for their shipping profile                                                                                                                                                                                                 |
| xShipCountry                                       | String | The customer’s country for their shipping profile                                                                                                                                                                                                  |
| xShipPhone                                         | String | The customer’s phone number for their shipping profile                                                                                                                                                                                             |
| xShipMobile                                        | String | The customer’s mobile number for their shipping profile                                                                                                                                                                                            |
| xAllowDuplicate                                    | String | By default, Sola rejects duplicate transactions within 10 minutes of the original transaction. This command overrides that safeguard. True/False allowed.                                                                                          |
| xOrderID                                           | String | Unique order number for FraudWatch verification                                                                                                                                                                                                    |
| xExistingCustomer                                  | String | Yes/No value indicating if the customer is a repeat customer                                                                                                                                                                                       |

{% code title="Sale - Request Payload Example" %}

```json
{
    "xCardNum": "4444333322221111",
    "xKey": "[xkeycredentials]",
    "xVersion": "4.5.9",
    "xSoftwareName": "YourSoftwareName",
    "xSoftwareVersion": "1.0.0",
    "xCommand": "ebtcb:sale"
    "xAmount": "35.00",
    "xToken": "61h72mmh68phn9q233634ph3g54p1499m69qhp4816pn528h84",
    "xCustom01": "Register01",
    "xDUKPT": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;444433",
    "xMagstripe": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;4444333322221111=4912101123456789?",
    "xName": "John Doe",
    "xTax": "2.00",
    "xTip": "2.00",
    "xInvoice": "123456A",
    "xPONum": "123456B",
    "xComments": "This is a comment",
    "xDescription": "This is a description",
    "xIP": "1.2.3.4",
    "xEmail": "text@example.com",
    "xFax": "1234567890",
    "xBillFirstName": "John",
    "xBillMiddleName": "Max",
    "xBillLastName": "Doe",
    "xBillCompany": "Acme", 
    "xBillStreet": "123 Any Street", 
    "xBillStreet2": "Apt 4b", 
    "xBillCity": "Anytown", 
    "xBillState": "NY", 
    "xBillZip": "12345", 
    "xBillCountry": "USA", 
    "xBillPhone": "8005551212", 
    "xBillMobile": "8005551111", 
    "xShipFirstName": "John", 
    "xShipMiddleName": "Max", 
    "xShipLastName": "Doe", 
    "xShipCompany": "Acme", 
    "xShipStreet": "123 Any Street", 
    "xShipStreet2": "Apt 4b", 
    "xShipCity": "Anytown", 
    "xShipState": "NY", 
    "xShipZip": "11111", 
    "xShipCountry": "USA", 
    "xShipPhone": "8005551212", 
    "xShipMobile": "8005551111", 
    "xOrderID": "12356",
    "xExistingCustomer": "TRUE",
    "xAllowDuplicate": "TRUE"
}
```

{% endcode %}

### Cash

<mark style="color:green;">`POST`</mark> `ebtcb:cash`

`xCommand` = `ebtcb:Cash`\
\
The Cash command enables a cash withdrawal from an EBT cardholder’s cash benefit account.

#### Request Body

| Name                                               | Type   | Description                                                                                                                                                                                                                                        |
| -------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| xCardNum<mark style="color:red;">\*</mark>         | String | The customer card number. \*Alternatively, `xToken` `xMagStripe` or `SUT` can be used.                                                                                                                                                             |
| xKey<mark style="color:red;">\*</mark>             | String | Your Sola API key.                                                                                                                                                                                                                                 |
| xVersion<mark style="color:red;">\*</mark>         | String | Gateway API version. The current version is 5.0.0.                                                                                                                                                                                                 |
| xSoftwareName<mark style="color:red;">\*</mark>    | String | Name of your software                                                                                                                                                                                                                              |
| xSoftwareVersion<mark style="color:red;">\*</mark> | String | Version number of your software                                                                                                                                                                                                                    |
| xAmount<mark style="color:red;">\*</mark>          | String | The total amount of the transaction, inclusive of tax and tip if applicable. This the total amount of the transaction.                                                                                                                             |
| xCommand                                           | String | Sola transaction type                                                                                                                                                                                                                              |
| xDUKPT                                             | String | The DUK/PT key for PIN debit and EBT transactions.The first 16 characters are the encrypted PIN block, followed by the 6 character long Key Set Identifier (KSID). The remaining characters are the PIN pad serial number and transaction counter. |
| xMagstripe                                         | String | The magstripe data of a credit card. Magstripe data includes the card number and expiration date. When using this command, `xCardNum` `xExp` and `xToken` should not be used. Encrypted Card data can also be sent using `xMagstripe.`             |
| xIP                                                | String | The customer’s IP address. Typically used for fraud detection.                                                                                                                                                                                     |
| xToken                                             | String | The Sola token that references a previously used payment method. When using a token, `xCardNum` `xExp` and `xMagstripe` should not be used.                                                                                                        |
| xCustom01                                          | String | 20 custom fields are available for custom data, such as customer comments, etc. Use `xCustom01` through `xCustom20.`                                                                                                                               |
| xName                                              | String | The cardholder’s name                                                                                                                                                                                                                              |
| xInvoice                                           | String | The merchant’s invoice number for the transaction. `xInvoice` is recommended when available for improved duplicate handling.                                                                                                                       |
| xAllowDuplicate                                    | String | By default, Sola rejects duplicate transactions within 10 minutes of the original transaction. This command overrides that safeguard. True/False allowed.                                                                                          |

{% code title="Cash - Request Payload Example" %}

```json
{ 
    "xCardNum": "4444333322221111", 
    "xKey": "[xkeycredentials]", 
    "xVersion": "4.5.9", 
    "xSoftwareName": "YourSoftwareName", 
    "xSoftwareVersion": "1.0.0", 
    "xCommand": "ebtcb:cash",
    "xAmount": "35.00", 
    "xToken": "61h72mmh68phn9q233634ph3g54p1499m69qhp4816pn528h84",
    "xCustom01": "Register01",
    "xDUKPT": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;444433",
    "xMagstripe": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;4444333322221111=4912101123456789?", 
    "xName": "John Doe", 
    "xInvoice": "123456A", 
    "xIP": "1.2.3.4", 
    "xAllowDuplicate": "TRUE" 
}
```

{% endcode %}

### Balance

<mark style="color:green;">`POST`</mark> `ebtcb:balance`

`xCommand` = `ebtcb:Balance`

The Balance command is used to check the balance on an EBT cash benefit account.

#### Request Body

| Name                                               | Type   | Description                                                                                                                                                                                                                                        |
| -------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| xCardNum<mark style="color:red;">\*</mark>         | String | The customer card number. \*Alternatively, `xToken` `xMagStripe` or `SUT` can be used.                                                                                                                                                             |
| xKey<mark style="color:red;">\*</mark>             | String | Your Sola API key.                                                                                                                                                                                                                                 |
| xVersion<mark style="color:red;">\*</mark>         | String | Gateway API version. The current version is 5.0.0.                                                                                                                                                                                                 |
| xSoftwareName<mark style="color:red;">\*</mark>    | String | Name of your software                                                                                                                                                                                                                              |
| xSoftwareVersion<mark style="color:red;">\*</mark> | String | Version number of your software                                                                                                                                                                                                                    |
| xCommand<mark style="color:red;">\*</mark>         | String | Sola transaction type                                                                                                                                                                                                                              |
| xDUKPT<mark style="color:red;">\*</mark>           | String | The DUK/PT key for PIN debit and EBT transactions.The first 16 characters are the encrypted PIN block, followed by the 6 character long Key Set Identifier (KSID). The remaining characters are the PIN pad serial number and transaction counter. |
| xMagstripe                                         | String | The magstripe data of a credit card. Magstripe data includes the card number and expiration date. When using this command, `xCardNum` `xExp` and `xToken` should not be used. Encrypted card data can also be sent using `xMagstripe.`             |
| xIP                                                | String | The customer’s IP address. Typically used for fraud detection.                                                                                                                                                                                     |

{% code title="Balance - Request Payload Example" %}

```json
{ 
    "xCardNum": "4444333322221111", 
    "xKey": "[xkeycredentials]", 
    "xVersion": "4.5.9", 
    "xSoftwareName": "YourSoftwareName", 
    "xSoftwareVersion": "1.0.0", 
    "xCommand": "ebtcb:balance",
    "xDUKPT": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;444433",   
    "xMagstripe": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;4444333322221111=4912101123456789?", 
    "xIP": "1.2.3.4" 
}
```

{% endcode %}

## EBT Wic (eWic) <a href="#ebt-wic-ewic" id="ebt-wic-ewic"></a>

### Sale

<mark style="color:green;">`POST`</mark> `ebtw:sale`

`xCommand` = `ebtw:sale`\
\
The Sale command is used to make a purchase on an EBTW cardholder’s cash benefit account.

#### Request Body

| Name                                                | Type   | Description                                                                                                                                                                                                                                        |
| --------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| xCardNum<mark style="color:red;">\*</mark>          | String | The customer card number. \*Alternatively, xToken, xMagStripe or `SUT` can be used.                                                                                                                                                                |
| xKey<mark style="color:red;">\*</mark>              | String | Your Sola API key.                                                                                                                                                                                                                                 |
| xVersion<mark style="color:red;">\*</mark>          | String | Gateway API version. The current version is 5.0.0.                                                                                                                                                                                                 |
| xSoftwareName<mark style="color:red;">\*</mark>     | String | Name of your software                                                                                                                                                                                                                              |
| xSoftwareVersion<mark style="color:red;">\*</mark>  | String | Version number of your software                                                                                                                                                                                                                    |
| xCommand<mark style="color:red;">\*</mark>          | String | Sola transaction type                                                                                                                                                                                                                              |
| xAmount<mark style="color:red;">\*</mark>           | String | The total amount of the transaction, inclusive of tax and tip if applicable. This the total amount of the transaction.                                                                                                                             |
| x1UnitPrice<mark style="color:red;">\*</mark>       | String | Unit price for item specified in xUPC. Additional items can be specified by incrementing (i.e., x2UnitPrice, x3UnitPrice, etc.).                                                                                                                   |
| x1Qty<mark style="color:red;">\*</mark>             | String | Quantity of item specified in xUPC. Additional items can be specified by incrementing (i.e., x2Qty, x3Qty, etc.).                                                                                                                                  |
| x1Upc<mark style="color:red;">\*</mark>             | String | Universal Product Code. Additional items can be specified by incrementing (i.e., x2Upc, x3Upc, etc.).                                                                                                                                              |
| xDUKPT<mark style="color:red;">\*</mark>            | String | The DUK/PT key for PIN debit and EBT transactions.The first 16 characters are the encrypted PIN block, followed by the 6 character long Key Set Identifier (KSID). The remaining characters are the PIN pad serial number and transaction counter. |
| xAllowPartialAuth<mark style="color:red;">\*</mark> | String | Allows for partial authorization. Must be set to "TRUE".                                                                                                                                                                                           |
| xToken                                              | String | The Sola token that references a previously used payment method. When using a token, xCardNum and xMagstripe should not be used.                                                                                                                   |
| xCustom01                                           | String | 20 custom fields are available for custom data, such as customer comments, etc. Use xCustom01 through xCustom20.                                                                                                                                   |
| xMagstripe                                          | String | The magstripe data of an eWIC card. When using xMagstripe, xCardNum and xToken should not be used. Encrypted card data can also be sent using xMagstripe.                                                                                          |
| xName                                               | String | The cardholder’s name                                                                                                                                                                                                                              |
| xTax                                                | String | The tax portion that is included in the total transaction amount (xAmount)                                                                                                                                                                         |
| xTip                                                | String | The tip portion that is included in the total transaction amount (xAmount)                                                                                                                                                                         |
| xInvoice                                            | String | The merchant’s invoice number for the transaction. xInvoice is recommended when available for improved duplicate handling.                                                                                                                         |
| xPONum                                              | String | The merchant’s purchase order number for the transaction                                                                                                                                                                                           |
| xComments                                           | String | Additional data that is optionally passed along to the receipt                                                                                                                                                                                     |
| xDescription                                        | String | Additional data that is optionally passed along for reporting                                                                                                                                                                                      |
| xIP                                                 | String | The customer’s IP address. Typically used for fraud detection.                                                                                                                                                                                     |
| xEmail                                              | String | The customer’s email address                                                                                                                                                                                                                       |
| xFax                                                | String | The customer’s fax number                                                                                                                                                                                                                          |
| xBillFirstName                                      | String | The customer’s first name for their billing profile                                                                                                                                                                                                |
| xBillMiddleName                                     | String | The customer’s middle name for their billing profile                                                                                                                                                                                               |
| xBillLastName                                       | String | The customer’s last name for their billing profile                                                                                                                                                                                                 |
| xBillCompany                                        | String | The customer’s company name for their billing profile                                                                                                                                                                                              |
| xBillStreet                                         | String | The customer’s street address for their billing profile                                                                                                                                                                                            |
| xBillStreet2                                        | String | The customer’s street address 2nd line for their billing profile                                                                                                                                                                                   |
| xBillCity                                           | String | The customer’s city for their billing profile                                                                                                                                                                                                      |
| xBillState                                          | String | The customer’s state for their billing profile                                                                                                                                                                                                     |
| xBillZip                                            | String | The customer’s zip code for their billing profile                                                                                                                                                                                                  |
| xBillCountry                                        | String | The customer’s country for their billing profile                                                                                                                                                                                                   |
| xBillPhone                                          | String | The customer’s phone number for their billing profile                                                                                                                                                                                              |
| xBillMobile                                         | String | The customer’s mobile number for their billing profile                                                                                                                                                                                             |
| xShipFirstName                                      | String | The customer’s first name for their shipping profile                                                                                                                                                                                               |
| xShipMiddleName                                     | String | The customer’s middle name or initial for their shipping profile                                                                                                                                                                                   |
| xShipLastName                                       | String | The customer’s last/family name for their shipping profile                                                                                                                                                                                         |
| xShipCompany                                        | String | The customer’s company name for their shipping profile                                                                                                                                                                                             |
| xShipStreet                                         | String | The customer’s street address for their shipping profile                                                                                                                                                                                           |
| xShipStreet2                                        | String | The customer’s street address 2nd line for their shipping profile                                                                                                                                                                                  |
| xShipCity                                           | String | The customer’s city for their shipping profile                                                                                                                                                                                                     |
| xShipState                                          | String | The customer’s state for their shipping profile                                                                                                                                                                                                    |
[...]
